Name:           fllog
Version:        1.2.3
Release:        1%{?dist}
Summary:        Amateur Radio Log Program

License:        GPLv3+ and GPLv2+
URL:            http://w1hkj.com/fllog-help/index.html
Source0:        http://downloads.sourceforge.net/fldigi/%{name}-%{version}.tar.gz

BuildRequires:  libX11-devel
BuildRequires:  fltk-devel >= 1.3.0
BuildRequires:  flxmlrpc-devel >= 0.1.0
BuildRequires:  desktop-file-utils


%description
Fllog is a transceiver control program for Amateur Radio use.  It does
not use any 3rd party transceiver control libraries.  It is a c++ pro-
gram that encapsulates each transceiver in its own class.  Where ever
possible the transceiver class(s) use polymorphism to reuse code that
is portable across a series of transceivers.


%prep
%setup -q

rm -rf src/xmlrpcpp
rm -f src/include/XmlRpc*.h


%build
%configure
make %{?_smp_mflags}


%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%if 0%{?rhel} || 0%{?fedora} < 21
%doc COPYING
%else
%license COPYING
%endif
%doc AUTHORS README
%{_bindir}/fllog
%{_datadir}/applications/fllog.desktop
%{_datadir}/pixmaps/fllog.xpm


%changelog
* Sun May 08 2016 Richard Shaw <hobbes1069@gmail.com> - 1.2.3-1
- Update to latest upstream release.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 27 2015 Richard Shaw <hobbes1069@gmail.com> - 1.2.0-1
- Update to latest upstream release.
- Build with external xmlrpc library.
- Minor spec tweaks per review request feedback.

* Tue Feb  4 2014 Richard Shaw <hobbes1069@gmail.com> - 1.1.8-1
- Bugfix release.

* Mon Feb  3 2014 Richard Shaw <hobbes1069@gmail.com> - 1.1.7-1
- Initial packaging.
